Name:           composefs
Version:        1.0.0
Release:        1%{?dist}
Summary:        Tools to handle creating and mounting composefs images

License:        GPL-2.0-or-later AND (LGPL-2.0-or-later AND Apache-2.0) AND (LGPL-2.1-or-later AND (GPL-2.0-only OR BSD-2-Clause)) AND (GPL-3.0-or-later)
URL:            https://github.com/containers/composefs
Source0:        https://github.com/containers/composefs/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:         compose-1.0.0-upstream.patch

BuildRequires:  gcc automake libtool openssl-devel yajl-devel pandoc fuse3-devel
Requires:       %{name}-libs = %{version}-%{release}

%description
Tools to handle creating and mounting composefs images. The composefs
project combines several underlying Linux features to provide a very
flexible mechanism to support read-only mountable filesystem trees,
stacking on top of an underlying "lower" Linux filesystem.

Please see https://github.com/containers/composefs for more information.

%package        devel
Summary:        Devel files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Devel files for %{name}.

%package        libs
Summary:        Libraries for %{name}
License:        (LGPL-2.0-or-later AND Apache-2.0) AND (LGPL-2.1-or-later AND (GPL-2.0-only OR BSD-2-Clause))

%description    libs
Library files for %{name}.

%prep
%autosetup -p0

%build
%configure \
           --disable-static \
           --enable-man \
           --with-yajl \
           --with-fuse
%make_build

%install
%make_install
rm -rf %{buildroot}%{_libdir}/libcomposefs.la

%files devel
%{_includedir}/libcomposefs
%{_libdir}/libcomposefs.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%{_libdir}/libcomposefs.so.*

%files
%license COPYING COPYING.LIB COPYING.LESSERv3 COPYINGv3 tools/LICENSE.Apache-2.0 libcomposefs/BSD-2-Clause.txt
%doc README.md
%{_bindir}/mkcomposefs
%{_bindir}/composefs-info
%{_sbindir}/mount.composefs
%{_mandir}/man*/*.gz

%changelog
* Fri Apr 21 2023 Alexander Larsson <alexl@redhat.com>
- Initial version
